Subject: Re: [Netmod-ver-dt] Current slides

From: Qin Wu <[email-masked]>
Date: Fri, 22 Mar 2019 11:24:55 +0000

发件人: Rob Wilton (rwilton) [mailto:[email-masked]]
发送时间: 2019年3月22日 19:14
收件人: Qin Wu <[email-masked]>; [email-masked]
主题: RE: Current slides

Hi Qin, please see RW inline …

From: Qin Wu <[email-masked]<mailto:[email-masked]>>
Sent: 22 March 2019 10:54
To: Rob Wilton (rwilton) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: Current slides

Two quick comments on slides:
Page 11:  Could we link Schema Comparison Tooling to draft-wang-netmod-module-revision-management, Michale told me he has some update.
[RW]
I don’t think that is the approach that has been envisaged when discussing this problem.  draft-wang-netmod-module-revision-management currently describes something quite different (i.e. a method for a server to report scheme differences), and hence would be confusing to reference here.
[Qin-1]: Thanks for correcting me, I think joe earlier draft has some piece related to this. Michale’s draft is also related to tooling building. But I am okay to keep as it does.

Page 21
“3.1 The solution MUST provide a mechanism to allow servers to support existing clients in a backwards-compatible way.
”
I feel this requirement may introduce some ambiguity, e.g.,whether it is protocol backwards-compatibility or model version backwards compatibility.
[RW]
This is just quoting the text verbatim from the requirements draft.
[Qin-1]: Set the context for model versioning, there is no confusion, but removing context for a outsider, they may get confused, recently we bring out a draft in netconf which aim at discussing protocol backward compatibility, that is why I raise this issue.
Would it be good to distinguish one from another.
Page 24:
Not clear what NETCONF/RESTCONF instances means? NETCONF/RESTCONF session or connection? Do we have reference for this term?
[RW]
From the client perspective this means available on a separate port number, or perhaps URL (in the case of RESTCONF).

Page 23, Page 24,
Page 23 said
“
Servers are NOT required to concurrently support clients using different schema versions
”
Page 24 said:
“
Servers support configuration for secondary NETCONF/RESTCONF instances (using different port numbers) which use a different schema-set version
”
Does these two statements have some contradiction. Maye it is okay since the statement in page 23 indicate allow server to concurrently support clients.
[RW]
This just means that servers can support multiple NETCONF/RESTCONF protocol instances, but are not obliged to do so.  Hopefully Reshad can make this clear when he speaks about this.
[Qin-1]: Good.
Thanks,
Rob

-Qin
发件人: Netmod-ver-dt [mailto:[email-masked]] 代表 Rob Wilton (rwilton)
发送时间: 2019年3月21日 22:22
收件人: [email-masked]<mailto:[email-masked]>
主题: [Netmod-ver-dt] Current slides

Hi,

This is hopefully the combined set of slides, if anyone would like to review them before today’s meeting.

Thanks,
Rob